#/bin/sh

OK=`grep tetex /var/log/packages/* 2>&1 /dev/null`
if [ -z "$OK" ]; then
   echo
   echo "******************************************"
   echo "* This program requires TeX !!!          *"
   echo "* It seems you dont have it.             *"
   echo "*                                        *"
   echo "* See the README file on                 *"
   echo "* /usr/doc/lilypond-2.4.0 for details    *"
   echo "*                                        *"
   echo "******************************************"
   exit 1
fi

echo "Updating TeX tree..."
source /usr/bin/lilypond-profile.sh
texhash

## This installs info directory informtation for the package.
echo
echo "Installing info directory entry..."
if [ -x /usr/bin/install-info ]
then
   /usr/bin/install-info --info-dir=/usr/info /usr/info/lilypond/lilypond.info.gz 2>/dev/null
fi

## Make scrollkeeper update it self after the install.
echo
echo "Updating scrollkeeper..."
if [ -x /usr/bin/scrollkeeper-update ]; then
  /usr/bin/scrollkeeper-update -p /var/lib/scrollkeeper 1> /dev/null 2> /dev/null
fi

echo 
echo "*************************************************"
echo "* Lilypond instalation succeed!                 *"
echo "*************************************************"

echo
cat /usr/doc/lilypond-2.4.2/Slack10_README.txt
echo

exit 0
